module Fullstack
  module Contacts
    module Actions

      extend ActiveSupport::Concern
      
      included do
      end

      protected

      def create_contact!(options = {})
        
        options = { 
          :failure => "contacts"
        }.merge(options)
        
        @contact = Contact.new(params[:contact])
        if @contact.save
          redirect_to options[:success], :flash => {:notice => t("contacts.success", :default => "Thank you for contacting us")}
        else
          render options[:new]
        end
      end

    end
  end
end
